Subject: bug#44202: [PATCH] Add variable to control confirmation of help-mode-revert-buffer

From: Stefan Kangas <[email-masked]>
Date: Mon, 26 Oct 2020 15:59:45 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> I've looked at some of the different usages of `revert-buffer-function',
> and the help-functions one seems to be an outlier -- very few of the
> non-file ones ask at all (I haven't found one yet, but I've only looked
> at a handful).  Which makes me wonder why the *Help* one does?  I've
> always found that pretty odd.  What's the use case for prompting the
> user when the user hits `g' here?

Thank you for looking into this more deeply.  I think not prompting
here could work, unless there is some important reason not to.

> I am a bit worried about incompatibles by hoisting that code up to
> `revert-buffer'...

Indeed, I missed to mention that in my previous email.  So it might
not be worth it if we can do the above instead.